Saturday, August 20, 2005

SKIM installation issue in Xandros

As I have mentioned in my earlier blog entry, I have started experimenting with Xandros. My main obstacle in using Xandros for my day to day browsing is typing tamil in it.
Many tools have been created by tamil community for this , but i am sorry to say, nothing is perfect and nothing is complete...

Recently I heard about SCIM and SKIM utilities which seems to be able to solve the tamil typing problem in Linux. SCIM stands for Smart common Input Method platform. You can find more details about this project in this URL: http://www.scim-im.org/

There is a discussion thread going on in tamilinux yahoogroup about this. You can see check at this URL: http://groups.yahoo.com/group/tamilinix/messages

I too tried my hand in installing SKIM in my Xandros linux box. But could not succeed. Here are the detailed steps I followed:

1. Downloaded skim-1.4.1 package downloaded from http://prdownloads.sourceforge.net/scim/skim-1.4.1.tar.bz2
2. extracted the package using xandros update manager copied to my local folder (/home/mugunth )
3. Installed using ./configure command as mentioned in the install document. I received the following error messages:
mugunthlin:/home/mugunth/skim-1.4.1# ./configure
Checking for Python : /usr/bin/python
Checking for SCons : Use Bundled scons.
Checking for kde-config : kde-config was found
Checking for kde version : 3.3.0
Checking for the qt library : qt was not found
Please set QTDIR first (/usr/lib/qt3?) or try scons -h for more options
mugunthlin:/home/mugunth/skim-1.4.1#

4. I installed KDE development environment using Xandros networks

Xandros networks is excellent tool and using this its possible to download and install popular packages easily. see in the right the screenshot of how Xandros Networks window appears...










5. Again tried installaling skim by issuing ./configure command, this time the following error messages were got:

mugunthlin:/home/mugunth/skim-1.4.1# ./configure
Checking for Python : /usr/bin/python
Checking for SCons : Use Bundled scons.
Checking for kde-config : kde-config was found
Checking for kde version : 3.3.0
Checking for the qt library : qt was found as /usr
Checking for uic : uic was found as /usr/bin/uic
Checking for moc : moc was found as /usr/bin/moc
Checking for the qt includes : the qt headers were found in /usr/include/qt3/
Checking for the kde includes : the kde headers were found in /usr/include/kde/
Checking for pkg-config : Found
Checking for scim >= 1.3.3 ... Not Found
Checking for scim-x11utils ... Not Found
scim >= 1.3.3 was not found (mandatory).
Perhaps you should add the directory containing "scim.pc"
to the PKG_CONFIG_PATH environment variable
mugunthlin:/home/mugunth/skim-1.4.1#

6. Now scim is found to be missing. So i downloaded scim 1.4.0 from the URL http://prdownloads.sourceforge.net/scim/scim-1.4.0.tar.gz?download

7. Compiled and installed scim 1.4.0 as per the instruction given in its INSTALL file.
8. Again tried configuring SKIM , this time it went thro succesfully.

mugunthlin:/home/mugunth/skim-1.4.1# ./configure
Checking for Python : /usr/bin/python
Checking for SCons : Use Bundled scons.
Checking for kde-config : kde-config was found
Checking for kde version : 3.3.0
Checking for the qt library : qt was found as /usr
Checking for uic : uic was found as /usr/bin/uic
Checking for moc : moc was found as /usr/bin/moc
Checking for the qt includes : the qt headers were found in /usr/include/qt3/
Checking for the kde includes : the kde headers were found in /usr/include/kde/
Checking for scim >= 1.3.3 ... Found
Checking for scim-x11utils ... Found
mugunthlin:/home/mugunth/skim-1.4.1#


9. Tried to compile SKIM using ./scons command (as mentioned in the readme file)
After compiling for a while compilation terminated with one error , the following error was received:

g++ -DNO_CONFIG_H -I/usr/include/kde -I/usr/include/qt3 -DENABLE_DEBUG=0 -DQT_THREAD_SUPPORT -D_REENTRANT -fPIC -O2 -DNDEBUG -DNO_DEBUG -DQT_NO_TRANSLATION -I. -Iplugins/mainwindow/applet -c -o plugins/mainwindow/applet/skimapplet.os plugins/mainwindow/applet/skimapplet.cpp
plugins/mainwindow/applet/skimapplet.cpp:35: error: visibility arg must be one
of "default", "hidden", "protected" or "internal"
scons: *** [plugins/mainwindow/applet/skimapplet.os] Error 1
scons: building terminated because of errors.
mugunthlin:/home/mugunth/skim-1.4.1#

10. Since SKIM 1.4.1 gave error, I decided to try older version 1.4.0 , downloaded skim 1.4.0 from the URL: http://prdownloads.sourceforge.net/scim/skim-1.4.0.tar.bz2?download
SKIM 1.4.0 too gave the same error.

Searched the web for similar errors , could not find one... so logged a bug report in scim sourceforge page.

Nothing much I could do further , anyone have clue about the above compilation error.. please let me know...

3 comments:

Anonymous said...

I don't have much experience with 'Package management' in Xandros. But did you try if there is a binary package available?

-
Navan Bhagavathi

Mugunth said...

Hi Navan,
I have switched to Ubuntu linux recently. With Ubuntu, i am able to use scim without any problem.

Luca said...

Hello mugunth!

I finally made scim work on xandros!
I wrote a tutorial:

http://lucabaffa.blogspot.com/2008/10/how-to-install-scim-on-xandros.html

bye!
-luca